
<template>
   <v-dialog
        v-model="dialogStatus"
        max-width="500px"
      >
        <v-card>
          <v-card-title>
            <h2 align="center">{{dialogTitle}}</h2>
            <v-spacer></v-spacer>
            <v-menu
              bottom
              left
            >
              <template v-slot:activator="{ on }">
                <v-btn
                  icon
                  v-on="on"
                >
                  <!-- <v-icon>more_vert</v-icon> -->
                </v-btn>
              </template>
              
            </v-menu>
          </v-card-title>
          <v-card-actions>
            <v-btn
              text
              outlined
              @click="reset"
            >
              Fechar
            </v-btn>

            <v-btn
              text
              outlined
              v-if="dialogDesfazer"              
            >
              Desfazer
            </v-btn>

          </v-card-actions>
        </v-card>
      </v-dialog>
</template>

<script>

 import { mapState } from 'vuex'

export default {
    data(){
        return {
           
        }
    },
    computed: {
            ...mapState('dialog', [
                'dialogStatus',
                'dialogTitle',
                'dialogDesfazer'
            ]),
    },
    methods:{
      reset(){
        this.$store.dispatch('dialog/resetDialog');
      }
    }
}
</script>